'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-5afedffb.js');

const IPad = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.theme = 'dark';
    }
    render() {
        return (core.h("div", { class: "container" }, core.h("div", { class: `power-${this.theme}` }), core.h("div", { class: `vol-up-${this.theme}` }), core.h("div", { class: `vol-down-${this.theme}` }), core.h("div", { class: "content" }, core.h("div", { class: `frame-${this.theme}` }, core.h("div", { class: `top` }, core.h("div", { class: "camera" })), core.h("div", { class: "screen" }, core.h("div", { class: "screen-area" }, core.h("slot", null)))))));
    }
    static get style() { return ":host{--aspect-ratio:133.33%;--body-color-dark:#000;--body-color-light:#ececec;display:block}.container{position:relative;padding-top:var(--aspect-ratio);width:100%}.power-light{background-color:#cfcfcf}.power-dark,.power-light{border-radius:10%/50%;border-bottom-left-radius:0;border-bottom-right-radius:0;position:absolute;height:.35%;width:8%;top:-.35%;right:10%}.power-dark{background-color:grey}.vol-up-dark{background-color:grey}.vol-up-dark,.vol-up-light{border-radius:50%/10%;border-top-left-radius:0;border-bottom-left-radius:0;position:absolute;height:5%;width:.5%;top:10%;right:.5%}.vol-up-light{background-color:#cfcfcf}.vol-down-dark{background-color:grey}.vol-down-dark,.vol-down-light{border-radius:50%/10%;border-top-left-radius:0;border-bottom-left-radius:0;position:absolute;height:5%;width:.5%;top:17%;right:.5%}.vol-down-light{background-color:#cfcfcf}.content{position:absolute;top:0;left:1%;width:98%;height:100%}.frame-dark{border-radius:8%/6%;border:2px solid #505050}.frame-dark,.frame-light{position:relative;width:100%;height:100%;background-color:var(--body-color-dark);padding:4%;-webkit-box-sizing:border-box;box-sizing:border-box}.frame-light{border-radius:8%/6%;border:2px solid #cfcfcf}.screen{position:absolute;bottom:4%;width:92%;height:92%;border-radius:4%/3%;background-color:#fff;overflow:hidden}.screen-area{width:100%;height:100%}.top{position:absolute;top:0;left:0;width:100%;-webkit-box-sizing:border-box;box-sizing:border-box;height:4%;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:center;align-items:center}.camera{width:1.5%;height:30%;background-color:#0d4156;border-radius:50%}"; }
};

const IphoneFrames = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.theme = 'dark';
    }
    render() {
        return (core.h("div", { class: "container" }, core.h("div", { class: "extra" }), core.h("div", { class: "vol-up" }), core.h("div", { class: "vol-down" }), core.h("div", { class: "power" }), core.h("div", { class: "content" }, core.h("div", { class: `frame-${this.theme}` }, core.h("div", { class: "screen" }, core.h("div", { class: "screen-area" }, core.h("slot", null)), core.h("div", { class: `top-${this.theme}` }, core.h("div", { class: "sensor" }), core.h("div", { class: "earpiece" }), core.h("div", { class: "camera" })))))));
    }
    static get style() { return ":host{--aspect-ratio:202%;--body-color-dark:#000;--body-color-light:#ececec;display:block}.container{position:relative;padding-top:var(--aspect-ratio);width:100%}.extra{border-radius:50%/10%;border-top-right-radius:0;border-bottom-right-radius:0;position:absolute;height:3%;width:1%;top:10%;background-color:var(--body-color-dark)}.vol-up{top:15%}.vol-down,.vol-up{border-radius:50%/10%;border-top-right-radius:0;border-bottom-right-radius:0;position:absolute;height:5%;width:1%;background-color:var(--body-color-dark)}.vol-down{top:22%}.power{border-radius:50%/10%;border-top-left-radius:0;border-bottom-left-radius:0;height:10%;width:1%;top:15%;right:0;background-color:var(--body-color-dark)}.content,.power{position:absolute}.content{top:0;left:1%;width:98%;height:100%}.frame-dark{background-color:var(--body-color-dark)}.frame-dark,.frame-light{position:relative;width:100%;height:100%;border-radius:10%/5%;padding:4%;-webkit-box-sizing:border-box;box-sizing:border-box}.frame-light{background-color:var(--body-color-light)}.screen{position:relative;width:100%;height:100%;border-radius:10%/5%;background-color:#fff;overflow:hidden}.top-dark{background-color:var(--body-color-dark)}.top-dark,.top-light{position:absolute;border-radius:10%/50%;border-top-left-radius:0;border-top-right-radius:0;width:40%;margin:0 30%;-webkit-box-sizing:border-box;box-sizing:border-box;height:3%;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;padding:0 5%}.top-light{background-color:var(--body-color-light)}.camera{background-color:#0c3d79}.camera,.sensor{width:10%;height:50%;border-radius:50%}.sensor{background-color:#25282b}.earpiece{width:50%;height:50%;background-color:#282c31;border-radius:10%/50%;margin-right:10%;margin-left:10%}.screen-area{position:absolute;width:100%;height:100%;background-color:#fff;overflow:hidden}"; }
};

const MacBook = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.theme = 'dark';
    }
    render() {
        return (core.h(core.Host, null, core.h("div", { class: "container" }, core.h("div", { class: `screen-${this.theme}` }, core.h("div", { class: "screen-area" }, core.h("div", { class: "content" }, core.h("slot", null)))), core.h("div", { class: `panel-${this.theme}` }, core.h("div", { class: `emb-${this.theme}` })))));
    }
    static get style() { return ":host{--aspect-ratio:60%;--body-color-dark:#696969;--body-color-light:#ececec;display:block}.screen-dark{background-color:#696969}.screen-dark,.screen-light{position:relative;margin:0 5%;width:90%;padding-top:var(--aspect-ratio);border-radius:2%/4%;border-bottom-left-radius:0;border-bottom-right-radius:0}.screen-light{background-color:#999898}.screen-area{position:absolute;top:0;margin:2.5%;width:95%;padding-top:var(--aspect-ratio);background-color:#fff}.panel-dark{background-color:#696969}.panel-dark,.panel-light{margin-top:-2%;position:relative;width:100%;padding-top:2%;border-radius:2%/50%;border-top-left-radius:0;border-top-right-radius:0;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:start;align-items:flex-start}.panel-light{background-color:#999898}.emb-light{background-color:#696969}.emb-dark,.emb-light{position:absolute;width:10%;top:0;padding-top:1%;border-radius:10%/50%;border-top-left-radius:0;border-top-right-radius:0;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:start;align-items:flex-start}.emb-dark{background-color:#999898}.content{position:absolute;top:0;width:100%;height:100%}"; }
};

const Pixel4 = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.theme = 'dark';
    }
    render() {
        return (core.h("div", { class: "container" }, core.h("div", { class: "power" }), core.h("div", { class: "vol" }), core.h("div", { class: "content" }, core.h("div", { class: `frame-${this.theme}` }, core.h("div", { class: `top-${this.theme}` }, core.h("div", { class: "camera" }), core.h("div", { class: "earpiece" }), core.h("div", { class: "sensor" })), core.h("div", { class: "screen" }, core.h("div", { class: "screen-area" }, core.h("slot", null)))))));
    }
    static get style() { return ":host{--aspect-ratio:213.81%;--body-color-dark:#000;--body-color-light:#ececec;display:block}.container{position:relative;padding-top:var(--aspect-ratio);width:100%}.power{height:5%;top:20%;background-color:#f48172}.power,.vol{border-radius:50%/10%;border-top-left-radius:0;border-bottom-left-radius:0;position:absolute;width:1%;right:0}.vol{height:15%;top:30%;background-color:var(--body-color-dark)}.content{position:absolute;top:0;left:1%;width:98%;height:100%}.frame-dark{background-color:var(--body-color-dark)}.frame-dark,.frame-light{position:relative;width:100%;height:100%;border-radius:10%/5%;padding:4%;-webkit-box-sizing:border-box;box-sizing:border-box}.frame-light{background-color:var(--body-color-light)}.screen{position:absolute;bottom:4%;width:92%;height:90%;border-radius:10%/5%;background-color:#fff;overflow:hidden}.top-dark{background-color:var(--body-color-dark)}.top-dark,.top-light{border-radius:10%/50%;border-top-left-radius:0;border-top-right-radius:0;margin:0 auto;-webkit-box-sizing:border-box;box-sizing:border-box;height:3%;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:center;align-items:center;padding:0 5%}.top-light{background-color:var(--body-color-light)}.camera{background-color:#0d1e30;border-radius:50%}.camera,.sensor{width:2%;height:30%}.sensor{background-color:transparent}.earpiece{width:10%;height:20%;background-color:#282c31;border-radius:10%/50%;margin-right:20%;margin-left:20%}.screen-area{position:absolute;width:100%;height:100%;background-color:#fff;overflow:hidden}"; }
};

exports.lite_ipad = IPad;
exports.lite_iphone_x = IphoneFrames;
exports.lite_mac_book = MacBook;
exports.lite_pixel_4 = Pixel4;
