import { h } from "@stencil/core";
export class IPad {
    constructor() {
        this.theme = 'dark';
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: `power-${this.theme}` }),
            h("div", { class: `vol-up-${this.theme}` }),
            h("div", { class: `vol-down-${this.theme}` }),
            h("div", { class: "content" },
                h("div", { class: `frame-${this.theme}` },
                    h("div", { class: `top` },
                        h("div", { class: "camera" })),
                    h("div", { class: "screen" },
                        h("div", { class: "screen-area" },
                            h("slot", null)))))));
    }
    static get is() { return "lite-ipad"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["ipad.css"]
    }; }
    static get styleUrls() { return {
        "$": ["ipad.css"]
    }; }
    static get properties() { return {
        "theme": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "theme",
            "reflect": true,
            "defaultValue": "'dark'"
        }
    }; }
}
