import { h } from "@stencil/core";
export class IphoneFrames {
    constructor() {
        this.theme = 'dark';
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "extra" }),
            h("div", { class: "vol-up" }),
            h("div", { class: "vol-down" }),
            h("div", { class: "power" }),
            h("div", { class: "content" },
                h("div", { class: `frame-${this.theme}` },
                    h("div", { class: "screen" },
                        h("div", { class: "screen-area" },
                            h("slot", null)),
                        h("div", { class: `top-${this.theme}` },
                            h("div", { class: "sensor" }),
                            h("div", { class: "earpiece" }),
                            h("div", { class: "camera" })))))));
    }
    static get is() { return "lite-iphone-x"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["iphone-x.css"]
    }; }
    static get styleUrls() { return {
        "$": ["iphone-x.css"]
    }; }
    static get properties() { return {
        "theme": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "theme",
            "reflect": true,
            "defaultValue": "'dark'"
        }
    }; }
}
