import { Host, h } from "@stencil/core";
export class MacBook {
    constructor() {
        this.theme = 'dark';
    }
    render() {
        return (h(Host, null,
            h("div", { class: "container" },
                h("div", { class: `screen-${this.theme}` },
                    h("div", { class: "screen-area" },
                        h("div", { class: "content" },
                            h("slot", null)))),
                h("div", { class: `panel-${this.theme}` },
                    h("div", { class: `emb-${this.theme}` })))));
    }
    static get is() { return "lite-mac-book"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["mac-book.css"]
    }; }
    static get styleUrls() { return {
        "$": ["mac-book.css"]
    }; }
    static get properties() { return {
        "theme": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "theme",
            "reflect": true,
            "defaultValue": "'dark'"
        }
    }; }
}
